commit:     3a7ac4efeac3dfd5a02032c352ddded4d5ad531c
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 23:11:17 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 23:11:17 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a7ac4ef

sys-process/tini: Do not prestrip the binary

Package-Manager: portage-2.3.2

 sys-process/tini/tini-0.13.0.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/sys-process/tini/tini-0.13.0.ebuild 
b/sys-process/tini/tini-0.13.0.ebuild
index 98488eb..826d432 100644
--- a/sys-process/tini/tini-0.13.0.ebuild
+++ b/sys-process/tini/tini-0.13.0.ebuild
@@ -7,7 +7,7 @@ EAPI=6
 inherit cmake-utils flag-o-matic
 
 DESCRIPTION="A tiny but valid init for containers"
-HOMEPAGE="https://github.com/krallin/${PN}";
+HOMEPAGE="https://github.com/krallin/tini";
 SRC_URI="https://github.com/krallin/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="MIT"
@@ -18,6 +18,12 @@ IUSE="+args static"
 # vim-core is needed just for the xxd program
 DEPEND="app-editors/vim-core"
 
+src_prepare() {
+       default
+       # Do not strip binary
+       sed -i -e 's/-Wl,-s")$/")/' CMakeLists.txt || die
+}
+
 src_configure() {
        local mycmakeargs=()
        use args || mycmakeargs+=(-DMINIMAL=ON)

Reply via email to